<?PHP 
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$com_id=$_GET['com_id'];

$borrar_sql=mysqli_query($con,"DELETE FROM etiquetas_temp WHERE usuario='$usu_id' and empresa='$empresa' ") or die(mysqli_error($con));


$sql=mysqli_query($con, "SELECT * from compra_detalle where compras_com_id='$com_id' and empresa='$empresa'"); 
    while ($rew=mysqli_fetch_array($sql))
    {
        $comd_cantidad=$rew['comd_cantidad'];
        $comd_art_id=$rew['comd_art_id'];
        $comd_nombre=$rew['comd_nombre'];
        $comd_referencia=$rew['comd_referencia'];

        $ret=mysqli_query($con,"SELECT * FROM articulos where empresa='$empresa' and art_id='$comd_art_id'") or die(mysqli_error($con)); 
	    $rets=mysqli_fetch_array($ret);
	    $art_barras=$rets['art_barras'];
	    $art_precio_costo=$rets['art_precio_costo'];
	    $art_pvp=$rets['art_pvp'];
	   
	   	if ($art_barras=='' || $art_barras=='0' ) {

	   		$sql1=mysqli_query($con,"UPDATE articulos Set art_barras='$comd_referencia' Where art_id='$comd_art_id' and empresa='$empresa' ") or die(mysqli_error($con)); 

	   			$barras=$comd_referencia;
	   		} else {
	   			$barras=$art_barras;
	   		}

			$letras = array();
			$numero = array();

			$sql2=mysqli_query($con, "SELECT * from etiquetas_texto_codificado ");
			while ($row2=mysqli_fetch_array($sql2))
			{
			$letras[]=$row2['tex_cod_letra'];
			$numero[]=$row2['tex_cod_numero'];

			}

			echo json_encode($letras);
			echo json_encode($numero);
			//$numeros = array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
			//$remplazo = array("A", "B", "C", "D", "E", "F", "G", "H", "1", "J");
			$venta_letras = str_replace($numero, $letras, $art_pvp);
			$costo_letras = str_replace($numero, $letras, $art_precio_costo  );

	   	$et=mysqli_query($con,"SELECT max(eti_id) as eti_id FROM etiquetas_temp where empresa='$empresa' ") or die(mysqli_error($con)); 
	    $eti=mysqli_fetch_array($et);
	    $eti_id=$eti['eti_id']+1;

	  	$regis=mysqli_query($con,"INSERT INTO etiquetas_temp (eti_id,eti_art_id,eti_barras,eti_nombre,texto_adicional,eti_cantidad,tipo,usuario,empresa)
        VALUES  ('$eti_id','$comd_art_id','$barras','$comd_nombre','$costo_letras-$venta_letras','$comd_cantidad','articulos','$usu_id','$empresa')") or  die(mysqli_error($con));
     
    }
?>